.calc123-container {
  margin: 40px auto;
  border: 4px solid #0250c9;
  background: #f7f4f4;
  padding: 30px 20px;
  border-radius: 20px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
  max-width: 800px;
  width: 100%;
  text-align: center;
}
.calc123-h2 {
  font-size: 22px;
  margin-bottom: 30px;
  color: #333;
}
/* input[type="number"] {
  width: 100%;
  padding: 12px 15px;
  margin: 15px 0;
  font-size: 18px;
  border: 2px solid #ccc;
  border-radius: 10px;
  outline: none;
  transition: 0.3s;
} */
.calc123-input-number {
  width: 90%;
  padding: 12px 15px;
  margin: 15px 0;
  font-size: 18px;
  border: 2px solid #ccc;
  border-radius: 10px;
  outline: none;
  transition: 0.3s;
}
/* input[type="number"]:focus {
  border-color: #0250c9;
  box-shadow: 0 0 5px rgba(116, 235, 213, 0.7);
} */
.calc123-input-number:focus {
  border-color: #0250c9;
  box-shadow: 0 0 5px rgba(116, 235, 213, 0.7);
}
/* input[type="range"] {
  width: 100%;
  margin: 20px 0;
  -webkit-appearance: none;
  background: transparent;
}
input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 24px;
  width: 24px;
  border-radius: 50%;
  background: #0250c9;
  cursor: pointer;
  margin-top: -10px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  transition: background 0.3s;
}
input[type="range"]::-webkit-slider-thumb:hover {
  background: #0250c9;
}
input[type="range"]::-webkit-slider-runnable-track {
  height: 6px;
  background: #ddd;
  border-radius: 3px;
} */
.calc123-input-range {
  width: 100%;
  margin: 20px 0;
  -webkit-appearance: none;
  background: transparent;
}
.calc123-input-range::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 24px;
  width: 24px;
  border-radius: 50%;
  background: #0250c9;
  cursor: pointer;
  margin-top: -10px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  transition: background 0.3s;
}
.calc123-input-range::-webkit-slider-thumb:hover {
  background: #0250c9;
}
.calc123-input-range::-webkit-slider-runnable-track {
  height: 6px;
  background: #ddd;
  border-radius: 3px;
}
.calc123-result {
  margin-top: 25px;
  font-size: 22px;
  font-weight: bold;
  color: #0250c9;
}
